Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 512608 - sys-apps/portage-2.2.10 hits traceback in _expand_new_virtuals
Summary: sys-apps/portage-2.2.10 hits traceback in _expand_new_virtuals
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Dependencies (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2014-06-06 16:20 UTC by SpanKY
Modified: 2014-08-04 02:15 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --debug full log (emerge-debug.log,162.77 KB, text/x-log)
2014-06-06 16:20 UTC, SpanKY
Details

Note You need to log in before you can comment on or make changes to this bug.
Description SpanKY gentoo-dev 2014-06-06 16:20:36 UTC
Created attachment 378382 [details]
emerge --debug full log

this system i'll leave alone so people can get debug info off it :).  most likely it's due to the system being older and having old style virtuals still.  i don't have a new style virtual/pam installed, but sys-libs/pam has a PROVIDE for virtual/pam.

root@bender 0:0 / # emerge shadow -1uav --debug
...
Traceback (most recent call last):
  File "/usr/bin/emerge", line 50, in <module>
    retval = emerge_main()
  File "/usr/lib/portage/pym/_emerge/main.py", line 1037, in emerge_main
    return run_action(emerge_config)
  File "/usr/lib/portage/pym/_emerge/actions.py", line 4061, in run_action
    emerge_config.args, spinner)
  File "/usr/lib/portage/pym/_emerge/actions.py", line 320, in action_build
    settings, trees, myopts, myparams, myaction, myfiles, spinner)
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 8403, in backtrack_depgraph
    myaction, myfiles, spinner)
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 8435, in _backtrack_depgraph
    success, favorites = mydepgraph.select_files(myfiles)
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 3093, in select_files
    return self._select_files(args)
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 3429, in _select_files
    return self._resolve(myfavorites)
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 3584, in _resolve
    self.altlist()
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 6229, in altlist
    self._resolve_conflicts()
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 6353, in _resolve_conflicts
    if not self._complete_graph():
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 5786, in _complete_graph
    if not self._create_graph(allow_unsatisfied=True):
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 2002, in _create_graph
    if not self._pop_disjunction(allow_unsatisfied):
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 3008, in _pop_disjunction
    pkg, dep_root, dep_priority, dep_struct, allow_unsatisfied):
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 2619, in _add_pkg_dep_string
    allow_unsatisfied)
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 2675, in _wrapped_add_pkg_dep_string
    strict=strict, priority=dep_priority)
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 3814, in _select_atoms_from_graph
    **portage._native_kwargs(kwargs))
  File "/usr/lib/portage/pym/_emerge/depgraph.py", line 3868, in _select_atoms_highest_available
    myroot=root, trees=trees)
  File "/usr/lib/portage/pym/portage/dep/dep_check.py", line 657, in dep_check
    use_binaries=use_binaries, myroot=myroot, trees=trees)
  File "/usr/lib/portage/pym/portage/dep/dep_check.py", line 207, in _expand_new_virtuals
    portdb.aux_get(matches[-1], ['PROVIDE'])[0].split():
AttributeError: 'PackageTrackerDbapiWrapper' object has no attribute 'aux_get'
Comment 1 Tim Harder gentoo-dev 2014-06-06 22:57:35 UTC
I'm pretty sure this is fixed by commit d8345b54, it would be nice if a new release was made with that included since I ran into this a while back as well.

It also would be helpful if similar commits in the future would include more of the crash information/behavior in the commit message body or some extended explanation.
Comment 2 Brian Dolbec gentoo-dev 2014-06-07 13:16:35 UTC
Yeah, I'm sure that commit fixes it too.

Vapier, any way you can test it with a checkout?

I'll mark it InVCS for now.

Also, old style virtuals were removed from the tree just over 3 years ago already.
Comment 3 SpanKY gentoo-dev 2014-06-14 20:24:55 UTC
(In reply to Brian Dolbec from comment #2)

yes, that patch fixes it.  when old virtuals were removed from the tree really doesn't matter as it's really easy to have a system which has one or two still laying around.

guess it's time to do another release.
Comment 4 Brian Dolbec gentoo-dev 2014-08-04 02:15:17 UTC
released in portage-2.2.11